Package org.gradle.api.publish

# Interface Publication

All Superinterfaces:
  `Named`

All Known Subinterfaces:
  `IvyPublication`, `MavenPublication`

public interface Publication extends Named
A publication is a description of a consumable representation of one or more artifacts, and possibly associated metadata.

Since:
  1.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `withBuildIdentifier()`
  Enables publication of a unique build identifier in Gradle Module Metadata.
  `void`
  `withoutBuildIdentifier()`
  Disables publication of a unique build identifier in Gradle Module Metadata.

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### withoutBuildIdentifier

    void withoutBuildIdentifier()
    Disables publication of a unique build identifier in Gradle Module Metadata.

    The build identifier is not published by default.

    Since:
      6.6

  - ### withBuildIdentifier

    void withBuildIdentifier()
    Enables publication of a unique build identifier in Gradle Module Metadata.

    The build identifier is not published by default.

    Since:
      6.6